Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 2502373003: stop using SkXfermode -- use SkBlendMode instead (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by reed1
Modified:
4 months, 1 week ago
CC:
chromium-reviews, sadrul, oshima+watch_chromium.org, blink-reviews-platform-graphics_chromium.org, dshwang, Stephen Chennney, rwlbuis, krit, drott+blinkwatch_chromium.org, jam, Justin Novosad, jbauman+watch_chromium.org, posciak+watch_chromium.org, dglazkov+blink, Rik, darin-cc_chromium.org, blink-reviews, kalyank, ajuma+watch_chromium.org, blink-reviews-api_chromium.org, mlamouri+watch-content_chromium.org, jbroman, feature-media-reviews_chromium.org, pdr+graphicswatchlist_chromium.org, mcasas+watch+vc_chromium.org, piman+watch_chromium.org, cc-bugs_chromium.org, rjkroege, Ian Vollick, tfarina, f(malita), danakj+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

stop using SkXfermode -- use SkBlendMode instead Massive (mostly mechanical) refactoring from one enum name to another. This allows us to undefine SK_SUPPORT_LEGACY_XFERMODE_IS_PUBLIC, so we can (next) eliminate SkXfermode.h entirely BUG=652484 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel TBR= Committed: https://crrev.com/cc9c70f3fd05091ebb4966ee2f70efed0532fd3e Cr-Commit-Position: refs/heads/master@{#433788}

Patch Set 1 #

Total comments: 12

Patch Set 2 : use static_cast #

Patch Set 3 : rebase #

Patch Set 4 : add static_cast #

Patch Set 5 : cast for TRACE_EVENT #

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+426 lines, -551 lines) Patch
M ash/mus/frame/custom_frame_view_mus.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M ash/utility/screenshot_controller.cc View 1 chunk +1 line, -2 lines 0 comments Download
M cc/blimp/layer_tree_host_unittest_serialization.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/blink/web_blend_mode.h View 1 chunk +50 lines, -50 lines 0 comments Download
M cc/blink/web_display_item_list_impl.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M cc/blink/web_display_item_list_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/ipc/cc_param_traits_macros.h View 1 chunk +1 line, -1 line 0 comments Download
M cc/ipc/cc_param_traits_unittest.cc View 1 2 4 chunks +8 lines, -13 lines 0 comments Download
M cc/ipc/shared_quad_state_struct_traits.h View 1 3 chunks +4 lines, -4 lines 0 comments Download
M cc/ipc/struct_traits_unittest.cc View 1 2 3 chunks +4 lines, -6 lines 0 comments Download
M cc/layers/layer.h View 1 2 4 chunks +6 lines, -7 lines 0 comments Download
M cc/layers/layer.cc View 4 chunks +32 lines, -32 lines 0 comments Download
M cc/layers/layer_impl.h View 1 2 3 chunks +3 lines, -4 lines 0 comments Download
M cc/layers/layer_impl.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/layers/layer_impl_test_properties.h View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/layers/layer_impl_test_properties.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/layers/layer_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/layers/render_surface_impl.h View 1 chunk +1 line, -1 line 0 comments Download
M cc/layers/render_surface_impl.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M cc/layers/render_surface_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/layers/solid_color_layer_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/output/ca_layer_overlay.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/output/gl_renderer.h View 1 2 1 chunk +5 lines, -5 lines 0 comments Download
M cc/output/gl_renderer.cc View 6 chunks +41 lines, -42 lines 0 comments Download
M cc/output/gl_renderer_unittest.cc View 4 chunks +22 lines, -26 lines 0 comments Download
M cc/output/overlay_candidate.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/output/overlay_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/output/renderer_pixeltest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/output/software_renderer.cc View 1 3 4 5 1 chunk +2 lines, -3 lines 0 comments Download
M cc/output/software_renderer_unittest.cc View 3 chunks +6 lines, -24 lines 0 comments Download
M cc/playback/compositing_display_item.h View 3 chunks +3 lines, -4 lines 0 comments Download
M cc/playback/compositing_display_item.cc View 1 2 3 5 chunks +6 lines, -6 lines 0 comments Download
M cc/playback/display_item_list_unittest.cc View 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M cc/proto/skia_conversions.h View 2 chunks +3 lines, -4 lines 0 comments Download
M cc/proto/skia_conversions.cc View 1 chunk +61 lines, -61 lines 0 comments Download
M cc/proto/skia_conversions_unittest.cc View 1 2 chunks +3 lines, -3 lines 0 comments Download
M cc/quads/draw_quad_perftest.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/quads/draw_quad_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/quads/render_pass_unittest.cc View 6 chunks +16 lines, -64 lines 0 comments Download
M cc/quads/shared_quad_state.h View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M cc/quads/shared_quad_state.cc View 1 3 chunks +5 lines, -5 lines 0 comments Download
M cc/quads/texture_draw_quad.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/surfaces/surface_aggregator_unittest.cc View 1 2 2 chunks +9 lines, -8 lines 0 comments Download
M cc/surfaces/surfaces_pixeltest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M cc/test/render_pass_test_utils.h View 1 chunk +1 line, -1 line 0 comments Download
M cc/test/render_pass_test_utils.cc View 7 chunks +11 lines, -35 lines 0 comments Download
M cc/test/surface_aggregator_test_helpers.cc View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M cc/test/surface_hittest_test_helpers.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/effect_node.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M cc/trees/effect_node.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/layer_tree_host_common_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M cc/trees/layer_tree_host_impl.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/layer_tree_host_pixeltest_blending.cc View 2 chunks +12 lines, -12 lines 0 comments Download
M cc/trees/layer_tree_host_pixeltest_masks.cc View 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/occlusion_tracker.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/occlusion_tracker_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M cc/trees/property_tree_builder.cc View 1 2 3 4 3 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/chromeos/display/overscan_calibrator.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/renderer_context_menu/render_view_context_menu.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M components/exo/shell_surface_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/exo/surface.h View 3 chunks +3 lines, -3 lines 0 comments Download
M components/exo/surface.cc View 1 2 3 4 3 chunks +5 lines, -4 lines 0 comments Download
M components/exo/surface_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/exo/wayland/server.cc View 1 2 2 chunks +4 lines, -5 lines 0 comments Download
M content/browser/compositor/mus_browser_compositor_output_surface.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/android/synchronous_compositor_frame_sink.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/html_video_element_capturer_source.cc View 1 chunk +0 lines, -1 line 0 comments Download
M content/renderer/pepper/pepper_compositor_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/renderers/skcanvas_video_renderer.h View 1 chunk +0 lines, -1 line 0 comments Download
M services/ui/demo/bitmap_uploader.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/frame_generator.cc View 1 2 3 4 5 3 chunks +11 lines, -13 lines 0 comments Download
M skia/config/SkUserConfig.h View 1 2 3 4 5 1 chunk +0 lines, -4 lines 0 comments Download
M skia/ext/benchmarking_canvas.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/OffscreenCanvasFrameDispatcherImpl.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/CompositingDisplayItem.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/public/platform/WebDisplayItemList.h View 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/demo/demo_main.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M ui/aura/test/test_window_delegate.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/compositor/compositing_recorder.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/gfx/canvas.h View 3 4 5 4 chunks +10 lines, -10 lines 0 comments Download
M ui/gfx/canvas.cc View 1 3 4 5 3 chunks +10 lines, -16 lines 0 comments Download
M ui/views/controls/progress_bar.cc View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M ui/views/controls/scrollbar/overlay_scroll_bar.cc View 1 chunk +0 lines, -1 line 0 comments Download
M ui/views/widget/root_view.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ui/wm/core/image_grid.cc View 1 chunk +0 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 53 (37 generated)
reed1
4 months, 1 week ago (2016-11-16 20:51:25 UTC) #5
f(malita)
non-owner LGTM, w/ some nits. https://codereview.chromium.org/2502373003/diff/1/cc/ipc/shared_quad_state_struct_traits.h File cc/ipc/shared_quad_state_struct_traits.h (right): https://codereview.chromium.org/2502373003/diff/1/cc/ipc/shared_quad_state_struct_traits.h#newcode103 cc/ipc/shared_quad_state_struct_traits.h:103: if (data.blend_mode() > (int)SkBlendMode::kLastMode) ...
4 months, 1 week ago (2016-11-16 21:10:58 UTC) #6
reed1
https://codereview.chromium.org/2502373003/diff/1/cc/ipc/shared_quad_state_struct_traits.h File cc/ipc/shared_quad_state_struct_traits.h (right): https://codereview.chromium.org/2502373003/diff/1/cc/ipc/shared_quad_state_struct_traits.h#newcode103 cc/ipc/shared_quad_state_struct_traits.h:103: if (data.blend_mode() > (int)SkBlendMode::kLastMode) On 2016/11/16 21:10:58, f(malita) wrote: ...
4 months, 1 week ago (2016-11-16 21:31:17 UTC) #7
reed1
4 months, 1 week ago (2016-11-18 21:43:28 UTC) #10
enne
cc lgtm
4 months, 1 week ago (2016-11-21 00:49:04 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2502373003/80001
4 months, 1 week ago (2016-11-21 17:39:50 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/309555)
4 months, 1 week ago (2016-11-21 17:49:20 UTC) #29
reed1
4 months, 1 week ago (2016-11-21 18:08:44 UTC) #31
dcheng
ipc lgtm (please let reviewers know what files they need to look at when adding ...
4 months, 1 week ago (2016-11-21 18:12:12 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2502373003/80001
4 months, 1 week ago (2016-11-21 21:10:59 UTC) #39
commit-bot: I haz the power
Failed to apply patch for services/ui/ws/frame_generator.cc: While running git apply --index -p1; error: patch failed: ...
4 months, 1 week ago (2016-11-21 21:17:56 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2502373003/100001
4 months, 1 week ago (2016-11-21 21:26:39 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/266534) linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
4 months, 1 week ago (2016-11-21 23:28:54 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2502373003/100001
4 months, 1 week ago (2016-11-22 00:35:58 UTC) #48
commit-bot: I haz the power
Committed patchset #6 (id:100001)
4 months, 1 week ago (2016-11-22 04:27:12 UTC) #51
commit-bot: I haz the power
4 months, 1 week ago (2016-11-22 04:29:51 UTC) #53
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/cc9c70f3fd05091ebb4966ee2f70efed0532fd3e
Cr-Commit-Position: refs/heads/master@{#433788}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46